Subject: bug#20963: C++ mode indentation of initializers

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 May 2021 01:12:53 +0200

Oliver Fernandes <[email-masked]> writes:

> This happens:
> SomeBase::SomeDerived::SomeFunction(const std::vector< int >& in_somevector, 
>                                     const std::vector< int >& in_someothervector, 
>                                     const glm::vec3 in_aglmvector,
>                                     const glm::vec3 in_someotherglmvector,
>                                     const int in_someint,
>                                     const int in_someotherint,
>                                     const float in_somefloat,
>                                     std::vector< int >& in_someints)
> : somevector(in_somevector)
>                                                          , someint(in_someint) {
> }
> ----------------------------------------------------
> This is expected:
> SomeBase::SomeDerived::SomeFunction(const std::vector< int >& in_somevector, 
>                                     const std::vector< int >& in_someothervector, 
>                                     const glm::vec3 in_aglmvector,
>                                     const glm::vec3 in_someotherglmvector,
>                                     const int in_someint,
>                                     const int in_someotherint,
>                                     const float in_somefloat,
>                                     std::vector< int >& in_someints)
>   : somevector(in_somevector)
>   , someint(in_someint) {
> }

(I'm going through old bug reports that unfortunately got no response at
the time.)

I'm unable to reproduce the problem in Emacs 28 (i.e., it indents the
way you were expecting now), so I'm going to go ahead and guess that
this has been fixed in the years since it was reported, and I'm closing
this bug report.  If this is still a problem, please respond to the
debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no